Package pygccxml :: Package msvc :: Module bsc_impl_details :: Class enums :: Class ATTRIBUTES

# Class ATTRIBUTES

source code

    object --+
             |
    utils.enum --+
                 |
                enums.ATTRIBUTES

Class Methods
Inherited from `utils.enum`: `has_value`, `name_of`

Class Variables
| LOCAL = `0x001`
| STATIC = `0x002`
| SHARED = `0x004`
| NEAR = `0x008`
| COMMON = `0x010`
| DECL_ONLY = `0x020`
| PUBLIC = `0x040`
| NAMED = `0x080`
| MODULE = `0x100`
| VIRTUAL = `0x200`
| PRIVATE = `0x400`
| PROTECT = `0x800`